#!/bin/bash
MSK=$(echo $(( 1 << $1 )) | awk '{printf("%x\n", $0)}')
IRQ_MPV=`awk '/mpv/{printf("%d\n", $1); exit}' /proc/interrupts`;
if [[ -z "$IRQ_MPV" ]]; then echo Нет МПВ в /proc/interrupts; exit 1; fi
#for i in 1 2 3 4 5; do
for i in 1 2 3; do
	echo $MSK > /proc/irq/$IRQ_MPV/smp_affinity;
	if (( 0x$(cat /proc/irq/$IRQ_MPV/smp_affinity) == 0x$MSK )); then
		echo Прерывания МПВ irq$IRQ_MPV привязаны к процессору $1
		exit;
	fi
	mpv_gen -n1 -i0 > /dev/null 2>&1
done
echo Не удалось установить маску процессоров $MSK для прерывания $IRQ_MPV от МПВ.


