//#define _GNU_SOURCE

#include <mcst_rt.h>
#include <fcntl.h>
#include <values.h>
#include <sys/sysinfo.h>
#include <stdio.h>
#include <stdarg.h>
#include <stdlib.h>
#include <string.h>
#include <unistd.h>
#include <errno.h>
#include <sys/types.h>
#include <sys/stat.h>
#include <sys/wait.h>
#include <pthread.h>
#include <sys/time.h>
#include <time.h>
#include <sys/sysinfo.h>
#include <sys/mount.h>
#include <stdint.h>
#include <sys/syscall.h>
#include <sys/mman.h>
#include <math.h>
#include <asm/unistd.h>
#include <linux/el_posix.h>
#include <pthread.h>
#include <sys/utsname.h>
#include <sched.h>
#include <poll.h>
#include <linux/mcst/mpv_io.h>

#define MAX_TO_DO_DEF  	1000
#define MAX_THR_NUM  	1024
//#define	STORE_EACH_RES	1
#define	USEC_PER_SEC	1000000
#define	NSEC_PER_SEC	1000000000
#define	NSEC_PER_USEC	1000

#ifndef O_DIRECT
#define O_DIRECT        00040000        /* direct disk access hint */
#endif

#define SCHED_NORMAL            0

extern int getopt(int argc, char *const argv[], const char *optstring);
extern void prog_getopt(void);

extern char *optarg;
extern int optind, opterr, optopt;

/* program parameters */
extern char *prog_name;
extern int prog_argc;
extern char **prog_argv;

typedef struct zaiavka {
	struct zaiavka *z_list;
} zaiavka_t;
typedef struct _thr_options {
	pthread_t thread_p;
	int cpu;
	unsigned long cpu_mask;
	pthread_cond_t	do_work;
	pthread_mutex_t	work_mx;
	zaiavka_t *zaia_list;
	int	policy;
	char	*policy_name;
	int	prio;
	char	*name;
	int	targ_wload;	// percentage of load culc.work
	long	work100perc;	// max work could be done in intrpt interval
	int		*w_array;
	char	back_grnd;
	char	forget_mis;
	int		omitt_wup;
	int		omitted_wup;
	void *(* start_fn)(void *);
	pid_t		pid;
	long long	dur_max;
	long long	dur_min;
	float		dur_avrg;
	long long	num_rqsts;
	long long	done_rqsts;
	long long	inq_max;
	float		inq_avrg;
	unsigned long long	wup_start;
	long long	wup_end;
	long long	wup_max;
	long long	wup_sum;
	long long	wup_num;
	long long	wup_min;
	long long	num_wups;
} thr_options_t;

/* program flags */
extern char	devmpv_path[256];
extern thr_options_t	tho[MAX_THR_NUM];
extern int	loop_num;
extern unsigned long	cpu_mask[3];
extern unsigned long	irq_cpu;
extern unsigned long	aff_mask_bg;
extern int	policy;
extern char	*policy_name;
extern int	prio;
extern int	targ_wload;
extern int	targ_omitt;
extern int	thrds_num;
extern int	num_intr_thrds;
extern long	rts_mask;
extern int	do_set_rts_mask;
extern char	comment[80];
extern int	verbose;
extern int	test_res;
extern int	enter_pass;
extern int	max_wup_pass;
extern int	max_wap_pass;
extern int 	trc_lim;
extern FILE	*fd_run;
extern int	intrpt_intrv_usec;    // nsec
extern int	nodelay_read;     // open(mpv) with O_NDELAY (==O_NONBLOCK)
extern int	wait_on_cpu;      // wait read(mpv) on cpu in a loop
extern int	use_poll;
extern int	rt_cpu;		// rt-cpu mode
extern int	prn_header;     // do print header line in res_rt_model.cvs file
extern long long work_by_user;	// max work could be done in per msec - test arg

